summaryrefslogtreecommitdiffstats
path: root/system/vice/vice.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/vice/vice.SlackBuild')
-rw-r--r--system/vice/vice.SlackBuild15
1 files changed, 7 insertions, 8 deletions
diff --git a/system/vice/vice.SlackBuild b/system/vice/vice.SlackBuild
index ea0180229a..c507067c99 100644
--- a/system/vice/vice.SlackBuild
+++ b/system/vice/vice.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=vice
-VERSION=2.1
+VERSION=${VERSION:-2.3.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,7 +62,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -71,16 +71,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Use /usr/lib64 on 64-bit Slackware
+[ "$ARCH" == "x86_64" ] && patch -p1 < $CWD/patches/vice-2.3.12-x86_64.patch
+
+sh autogen.sh || true
+
# Set the help path correctly with respect to the actually installed doc
# folder (the folder set up by "make install" is quite broken).
patch -p1 <$CWD/patches/vice-fix-help.patch
-# Use /usr/lib64 on 64-bit Slackware
-[ "$ARCH" == "x86_64" ] && patch -p1 < $CWD/patches/vice-2.1-64bit.patch
-
-# patch for gcc 4.4
-patch -p0 < $CWD/patches/vice-gcc-4.4.patch
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \